
  document.getElementById("textForm").addEventListener("submit", function(event) {
    event.preventDefault();

    var textInput = document.getElementById("textInput");
    var text = textInput.value;

    var rows;

    if (text.includes("\t")) {
      // Data copied from Excel
      rows = text.split("\n");
    } else {
      // Manually entered data
      rows = text.split("&&");
    }

    // Check if at least one row is present
    if (rows.length === 0) {
      showError("Invalid input format. Please enter data in the correct format.");
      return;
    }

    var table = document.createElement("table");
    table.classList.add("table", "table-bordered");

    var tableHeadColor = document.getElementById("tableHeadColor").value;
    var tableBackgroundColor = document.getElementById("tableBackgroundColor").value;
    var headingTextColor = document.getElementById("headingTextColor").value;
    var bodyTextColor = document.getElementById("bodyTextColor").value;
    var tableBorderColor = document.getElementById("tableBorderColor").value;
    var tableFont = document.getElementById("tableFont").value;
    var headingTextSize = document.getElementById("headingTextSize").value;
    var bodyTextSize = document.getElementById("bodyTextSize").value;
    var firstColumnColor = document.getElementById("firstColumnColor").value;
    var fontStyleSelect = document.getElementById("fontStyleSelect").value;
    var collapseColor = document.getElementById("collapseColor").value; // Get collapse color value

    // Apply table background color
    table.style.backgroundColor = tableBackgroundColor;

    // Apply table border color
    table.style.borderColor = tableBorderColor;

    var enableTableHead = document.getElementById("enableTableHead").value === "true";

    for (var i = 0; i < rows.length; i++) {
      var row = document.createElement("tr");
      var columns;

      if (text.includes("\t")) {
        // Data copied from Excel
        columns = rows[i].split("\t");
      } else {
        // Manually entered data
        columns = rows[i].split("~");
      }

      for (var j = 0; j < columns.length; j++) {
        var cell = document.createElement(i === 0 && j === 0 && enableTableHead ? "th" : "td");
        var cellText = document.createTextNode(columns[j].trim());

        // Apply table head color
        if (i === 0 && enableTableHead) {
          cell.style.backgroundColor = tableHeadColor;
          cell.style.color = headingTextColor;
          cell.style.textAlign = "center";
          cell.style.fontSize = headingTextSize; // Apply font size to table header cells
        } else {
          cell.style.color = bodyTextColor;
          cell.style.textAlign = "left";
          cell.style.fontSize = bodyTextSize; // Apply font size to table body cells
        }

        // Apply first column color
        if (j === 0) {
          cell.style.backgroundColor = firstColumnColor;
        }

        // Apply font style to table header cells
        if (i === 0) {
          if (fontStyleSelect === "bold") {
            cell.style.fontWeight = "bold";
          } else if (fontStyleSelect === "italic") {
            cell.style.fontStyle = "italic";
          } else if (fontStyleSelect === "underline") {
            cell.style.textDecoration = "underline";
          }
        }

        // Apply font style to table body cells
        if (i !== 0) {
          if (fontStyleSelect === "bold") {
            cell.style.fontWeight = "bold";
          } else if (fontStyleSelect === "italic") {
            cell.style.fontStyle = "italic";
          } else if (fontStyleSelect === "underline") {
            cell.style.textDecoration = "underline";
          }
        }

        // Apply font to the table
        table.style.fontFamily = tableFont;

        // Apply collapse color after heading row
        if (i > 0 && i % 2 === 1) {
          cell.style.borderCollapse = "collapse";
          cell.style.backgroundColor = collapseColor;
        }

        // Apply cell border color
        cell.style.borderColor = tableBorderColor;

        cell.appendChild(cellText);
        row.appendChild(cell);
      }

      table.appendChild(row);
    }

    var tableContainer = document.getElementById("tableContainer");
    tableContainer.innerHTML = "";
    tableContainer.appendChild(table);

    var htmlResult = document.getElementById("htmlResult");
    htmlResult.value = tableContainer.innerHTML;

    // Show the HTML result box
    var htmlResultContainer = document.getElementById("htmlResultContainer");
    htmlResultContainer.style.display = "block";
  });

  document.getElementById("copyHTMLButton").addEventListener("click", function() {
    var htmlResult = document.getElementById("htmlResult");

    if (htmlResult.value) {
      htmlResult.select();
      document.execCommand("copy");
      alert("HTML copied to clipboard!");
    }
  });
  function showError(message) {
    var errorMessage = document.getElementById("errorMessage");

    errorMessage.innerText = message;
    errorMessage.style.display = "block";
  }
